| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # PSVIElement Class Reference Inheritance diagram for PSVIElement: [legend] Collaboration diagram for PSVIElement: [legend] List of all members.
## Public Methods
Constructors
| PSVIElement (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~PSVIElement ()
PSVIElement methods
XSElementDeclaration * | getElementDeclaration ()
| An item isomorphic to the element declaration used to validate this element. More...
XSNotationDeclaration * | getNotationDeclaration ()
| [notation]. More...
XSModel * | getSchemaInformation ()
| [schema information]. More...
XSTypeDefinition * | getTypeDefinition ()
| An item isomorphic to the type definition used to validate this element. More...
XSSimpleTypeDefinition * | getMemberTypeDefinition ()
| If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple type definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value. More...
void | reset (const VALIDITY_STATE validityState, const ASSESSMENT_TYPE assessmentType, const XMLCh *const validationContext, bool isSpecified, XSElementDeclaration *const elemDecl, XSTypeDefinition *const typeDef, XSSimpleTypeDefinition *const memberType, XSModel *const schemaInfo, const XMLCh *const defaultValue, const XMLCh *const normalizedValue=0, XMLCh *const canonicalValue=0, XSNotationDeclaration *const notationDecl=0)
## Constructor & Destructor Documentation
PSVIElement::PSVIElement | ( | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager | ) |
  | The default constructor. Parameters:
  manager | The configurable memory manager
PSVIElement::~PSVIElement | ( |  | ) |
## Member Function Documentation
XSElementDeclaration * PSVIElement::getElementDeclaration | ( |  | ) |
| An item isomorphic to the element declaration used to validate this element. Returns: an element declaration
XSSimpleTypeDefinition* PSVIElement::getMemberTypeDefinition | ( |  | ) | `[virtual]`
| If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple type definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value. Returns: a simple type declaration Implements PSVIItem.
XSNotationDeclaration * PSVIElement::getNotationDeclaration | ( |  | ) |
| [notation]. See also: XML Schema Part 1: Structures [notation] Returns: The notation declaration.
XSModel * PSVIElement::getSchemaInformation | ( |  | ) |
| [schema information]. See also: XML Schema Part 1: Structures [schema information] Returns: The schema information property if it's the validation root, null otherwise.
XSTypeDefinition* PSVIElement::getTypeDefinition | ( |  | ) | `[virtual]`
| An item isomorphic to the type definition used to validate this element. Returns: a type declaration Implements PSVIItem.
void PSVIElement::reset | ( | const VALIDITY_STATE | validityState,
|  | const ASSESSMENT_TYPE | assessmentType,
|  | const XMLCh *const | validationContext,
|  | bool | isSpecified,
|  | XSElementDeclaration *const | elemDecl,
|  | XSTypeDefinition *const | typeDef,
|  | XSSimpleTypeDefinition *const | memberType,
|  | XSModel *const | schemaInfo,
|  | const XMLCh *const | defaultValue,
|  | const XMLCh *const | normalizedValue = 0,
|  | XMLCh *const | canonicalValue = 0,
|  | XSNotationDeclaration *const | notationDecl = 0
| ) |
The documentation for this class was generated from the following file: PSVIElement.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.